# Class GetCryptoCurrencyPaymentMethodsRequest

#### Hierarchy

- unknown
  - GetCryptoCurrencyPaymentMethodsRequest

- Defined in src/protobuf/grpc_pb.d.ts:2066
- Defined in src/protobuf/grpc_pb.d.ts:2075

#####
Index

### Constructors

constructor

### Methods

serializeBinary
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetCryptoCurrencyPaymentMethodsRequest(): GetCryptoCurrencyPaymentMethodsRequest

- #### Returns GetCryptoCurrencyPaymentMethodsRequest

  Inherited from jspb.Message.constructor

## Methods

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:2067

### toObject

- toObject(includeInstance?: boolean): GetCryptoCurrencyPaymentMethodsRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetCryptoCurrencyPaymentMethodsRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2068

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetCryptoCurrencyPaymentMethodsRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetCryptoCurrencyPaymentMethodsRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2071

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetCryptoCurrencyPaymentMethodsRequest, reader: BinaryReader): GetCryptoCurrencyPaymentMethodsRequest

- #### Parameters

  - ##### message: GetCryptoCurrencyPaymentMethodsRequest

  - ##### reader: BinaryReader

  #### Returns GetCryptoCurrencyPaymentMethodsRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2072

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetCryptoCurrencyPaymentMethodsRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetCryptoCurrencyPaymentMethodsRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:2070

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetCryptoCurrencyPaymentMethodsRequest): GetCryptoCurrencyPaymentMethodsRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetCryptoCurrencyPaymentMethodsRequest

  #### Returns GetCryptoCurrencyPaymentMethodsRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2069

Generated using TypeDoc